org.apache.poi.xdgf.usermodel.shape

## Class ShapeVisitor

- java.lang.Object
- - org.apache.poi.xdgf.usermodel.shape.ShapeVisitor

- Direct Known Subclasses:
    ShapeRenderer, ShapeTextVisitor

      public abstract class ShapeVisitor
      extends java.lang.Object

  Used to iterate through shapes To change the behavior of a particular visitor, you can override either accept() or getAcceptor() [preferred] If accept() or visit() throw StopVisitingThisBranch, the iteration will not visit subshapes of the shape.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ShapeVisitorAcceptor` | `_acceptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapeVisitor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(XDGFShape shape)`
    `protected ShapeVisitorAcceptor` | `getAcceptor()` Is only called on construction of the visitor, allows mixing visitors and acceptors
    `void` | `setAcceptor(ShapeVisitorAcceptor acceptor)`
    `abstract void` | `visit(XDGFShape shape, java.awt.geom.AffineTransform globalTransform, int level)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _acceptor

          protected ShapeVisitorAcceptor _acceptor

  - ### Constructor Detail

    - #### ShapeVisitor

          public ShapeVisitor()

  - ### Method Detail

    - #### getAcceptor

          protected ShapeVisitorAcceptor getAcceptor()

      Is only called on construction of the visitor, allows mixing visitors and acceptors

    - #### setAcceptor

          public void setAcceptor(ShapeVisitorAcceptor acceptor)

    - #### accept

          public boolean accept(XDGFShape shape)

    - #### visit

          public abstract void visit(XDGFShape shape,
                                     java.awt.geom.AffineTransform globalTransform,
                                     int level)

      Parameters:
        `shape` - Current shape
        `globalTransform` - A transform that can convert the shapes points to global coordinates
        `level` - Level in the tree (0 is topmost, 1 is next level...

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.